#ifndef __LOADER_HEADER_INCLUDED__
#define __LOADER_HEADER_INCLUDED__

#include <g_globals.h>
#include <lists.h>
#include <plugins.h>

#define MAX_PLUGINS 1024
#define PLUGIN_MODE RTLD_LAZY

int loader_init(void);
void loader_cleanup(int, void *);
int loader_load_dir(char *);

typedef struct plugin_list{
	list_head_t		l;
	void			*lib;
	char			*name;
	char			*desc;
	proc_plugin_init	init;
	proc_plugin_unload	unload;
}plugin_list_t, *p_plugin_list;

#endif //__LOADER_HEADER_INCLUDED__
