#ifndef __S_GLOBALS_HEADER_INCLUDED__
#define __S_GLOBALS_HEADER_INCLUDED__

#include <g_globals.h>
#include <packet.h>

typedef struct sensor_globals_t{
	int			nosync; /* Unset to disable I/O sync */
	uint			num_plugins; /* Number of currently loaded plugins */
	mlock_t			glock; /* Global sensor I/O lock */
	atomic_counter_t	keepalive;
}sensor_globals_t;

extern struct sensor_globals_t globals;

#endif //__S_GLOBALS_HEADER_INCLUDED__
